OhMyGPT
Audio

Create speech

POST
/v1/audio/speech

Read text aloud. The response body is the audio in the requested response_format (MP3 by default), billed per input character.

Authorization

ApiKeyAuth
headerAuthorization<token>

Request Body

application/json
  1. body
input*string

The text to generate audio for. The maximum length is 4096 characters.

Lengthlength <= 4096
instructions?string

Control the voice of your generated audio with additional instructions. Does not work with tts-1 or tts-1-hd.

Lengthlength <= 4096
model*|

One of the available TTS models: tts-1, tts-1-hd, gpt-4o-mini-tts, or gpt-4o-mini-tts-2025-12-15.

response_format?string

The format to audio in. Supported formats are mp3, opus, aac, flac, wav, and pcm.

Default"mp3"
Value in"mp3""opus""aac""flac""wav""pcm"
speed?number

The speed of the generated audio. Select a value from 0.25 to 4.0. 1.0 is the default.

Range0.25 <= value <= 4
Default1
stream_format?string

The format to stream the audio in. Supported formats are sse and audio. sse is not supported for tts-1 or tts-1-hd.

Default"audio"
Value in"sse""audio"
voice*|||

The voice to use when generating the audio. Supported built-in voices are alloy, ash, ballad, coral, echo, fable, onyx, nova, sage, shimmer, verse, marin, and cedar. You may also provide a custom voice object with an id, for example { "id": "voice_1234" }. Previews of the voices are available in the Text to speech guide. Custom voices must be created from audio samples. Voices created from text prompts are supported only in Live.

Response Body

The generated audio, such as audio/mpeg for MP3

response?fileaudio/*
Formatbinary
Example Request
curl -X POST 'https://api.ohmygpt.com/v1/audio/speech' \  -H 'Content-Type: application/json' \  -d '{  "input": "string",  "model": "string",  "voice": "string"}'
Example Response
"string"